Bug 18405 - Self checkout: Fix broken silent printing
Summary: Self checkout: Fix broken silent printing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Self checkout (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-09 14:55 UTC by Marc Véron
Modified: 2018-10-27 10:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 18405: Self checkout: Fix broken silent printing (2.70 KB, patch)
2017-04-09 15:01 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18405: Self checkout: Fix broken silent printing (2.76 KB, patch)
2017-04-15 01:58 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 18405: Self checkout: Fix broken silent printing (2.81 KB, patch)
2017-05-02 09:59 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-04-09 14:55:35 UTC
Fix broken 'silent printing' (without printer dialog) in self checkout.

To reproduce:
Set up silent printing to slip printers as described in:
https://wiki.koha-community.org/wiki/Setting_up_slip_printer_to_print_silently

Verify that it works for check-outs in staff client.
Verify that it does not work in Self checkout.
Comment 1 Marc Véron 2017-04-09 15:01:08 UTC
Created attachment 61989 [details] [review]
Bug 18405: Self checkout: Fix broken silent printing

Fix broken 'silent printing' (without printer dialog) in self checkout.

To reproduce:
Set up silent printing to slip printers as described in:
https://wiki.koha-community.org/wiki/Setting_up_slip_printer_to_print_silently

Verify that it works for check-outs in staff client.
Verify that it does not work in Self checkout.

To test:
Apply patch
Verify that silent printing works on SCO
Comment 2 Alex Buckley 2017-04-15 01:58:43 UTC
Created attachment 62187 [details] [review]
Bug 18405: Self checkout: Fix broken silent printing

Fix broken 'silent printing' (without printer dialog) in self checkout.

To reproduce:
Set up silent printing to slip printers as described in:
https://wiki.koha-community.org/wiki/Setting_up_slip_printer_to_print_silently

Verify that it works for check-outs in staff client.
Verify that it does not work in Self checkout.

To test:
Apply patch
Verify that silent printing works on SCO

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 3 Nick Clemens 2017-05-02 09:59:06 UTC
Created attachment 62944 [details] [review]
Bug 18405: Self checkout: Fix broken silent printing

Fix broken 'silent printing' (without printer dialog) in self checkout.

To reproduce:
Set up silent printing to slip printers as described in:
https://wiki.koha-community.org/wiki/Setting_up_slip_printer_to_print_silently

Verify that it works for check-outs in staff client.
Verify that it does not work in Self checkout.

To test:
Apply patch
Verify that silent printing works on SCO

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Kyle M Hall 2017-05-08 13:01:54 UTC
Pushed to master for 17.05, thanks Marc!
Comment 5 Katrin Fischer 2017-05-13 12:48:58 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.